SmbRandomAccessFile (JCIFS API)
Keywords: jcifs.smb.SmbRandomAccessFile class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcifs.smb
Class SmbRandomAccessFile

    java.lang.Object
      jcifs.smb.SmbRandomAccessFile

All Implemented Interfaces:
  java.io.DataInput, java.io.DataOutput

    public class SmbRandomAccessFile

extends java.lang.Object
implements java.io.DataOutput, java.io.DataInput

Constructor Summary
`SmbRandomAccessFile(SmbFile file, java.lang.String mode)`
`SmbRandomAccessFile(java.lang.String url, java.lang.String mode, int shareAccess)`

Method Summary
`void` | `close()`
`long` | `getFilePointer()`
`long` | `length()`
`int` | `read()`
`int` | `read(byte[] b)`
`int` | `read(byte[] b, int off, int len)`
`boolean` | `readBoolean()`
`byte` | `readByte()`
`char` | `readChar()`
`double` | `readDouble()`
`float` | `readFloat()`
`void` | `readFully(byte[] b)`
`void` | `readFully(byte[] b, int off, int len)`
`int` | `readInt()`
`java.lang.String` | `readLine()`
`long` | `readLong()`
`short` | `readShort()`
`int` | `readUnsignedByte()`
`int` | `readUnsignedShort()`
`java.lang.String` | `readUTF()`
`void` | `seek(long pos)`
`void` | `setLength(long newLength)`
`int` | `skipBytes(int n)`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`
`void` | `writeBoolean(boolean v)`
`void` | `writeByte(int v)`
`void` | `writeBytes(java.lang.String s)`
`void` | `writeChar(int v)`
`void` | `writeChars(java.lang.String s)`
`void` | `writeDouble(double v)`
`void` | `writeFloat(float v)`
`void` | `writeInt(int v)`
`void` | `writeLong(long v)`
`void` | `writeShort(int v)`
`void` | `writeUTF(java.lang.String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmbRandomAccessFile

    public SmbRandomAccessFile(java.lang.String url,
                               java.lang.String mode,
                               int shareAccess)
                        throws SmbException,
                               java.net.MalformedURLException,
                               java.net.UnknownHostException

Throws:
  `SmbException`
  `java.net.MalformedURLException`
  `java.net.UnknownHostException`

### SmbRandomAccessFile

    public SmbRandomAccessFile(SmbFile file,
                               java.lang.String mode)
                        throws SmbException,
                               java.net.MalformedURLException,
                               java.net.UnknownHostException

Throws:
  `SmbException`
  `java.net.MalformedURLException`
  `java.net.UnknownHostException`

Method Detail

### read

    public int read()
             throws SmbException

  Throws:
    `SmbException`

### read

    public int read(byte[] b)
             throws SmbException

  Throws:
    `SmbException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws SmbException

  Throws:
    `SmbException`

### readFully

    public final void readFully(byte[] b)
                         throws SmbException

  Specified by:
    `readFully` in interface `java.io.DataInput`
  Throws:
    `SmbException`

### readFully

    public final void readFully(byte[] b,
                                int off,
                                int len)
                         throws SmbException

  Specified by:
    `readFully` in interface `java.io.DataInput`
  Throws:
    `SmbException`

### skipBytes

    public int skipBytes(int n)
                  throws SmbException

  Specified by:
    `skipBytes` in interface `java.io.DataInput`
  Throws:
    `SmbException`

### write

    public void write(int b)
               throws SmbException

  Specified by:
    `write` in interface `java.io.DataOutput`
  Throws:
    `SmbException`

### write

    public void write(byte[] b)
               throws SmbException

  Specified by:
    `write` in interface `java.io.DataOutput`
  Throws:
    `SmbException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws SmbException

  Specified by:
    `write` in interface `java.io.DataOutput`
  Throws:
    `SmbException`

### getFilePointer

    public long getFilePointer()
                        throws SmbException

  Throws:
    `SmbException`

### seek

    public void seek(long pos)
              throws SmbException

  Throws:
    `SmbException`

### length

    public long length()
                throws SmbException

  Throws:
    `SmbException`

### setLength

    public void setLength(long newLength)
                   throws SmbException

  Throws:
    `SmbException`

### close

    public void close()
               throws SmbException

  Throws:
    `SmbException`

### readBoolean

    public final boolean readBoolean()
                              throws SmbException

  Specified by:
    `readBoolean` in interface `java.io.DataInput`
  Throws:
    `SmbException`

### readByte

    public final byte readByte()
                        throws SmbException

  Specified by:
    `readByte` in interface `java.io.DataInput`
  Throws:
    `SmbException`

### readUnsignedByte

    public final int readUnsignedByte()
                               throws SmbException

  Specified by:
    `readUnsignedByte` in interface `java.io.DataInput`
  Throws:
    `SmbException`

### readShort

    public final short readShort()
                          throws SmbException

  Specified by:
    `readShort` in interface `java.io.DataInput`
  Throws:
    `SmbException`

### readUnsignedShort

    public final int readUnsignedShort()
                                throws SmbException

  Specified by:
    `readUnsignedShort` in interface `java.io.DataInput`
  Throws:
    `SmbException`

### readChar

    public final char readChar()
                        throws SmbException

  Specified by:
    `readChar` in interface `java.io.DataInput`
  Throws:
    `SmbException`

### readInt

    public final int readInt()
                      throws SmbException

  Specified by:
    `readInt` in interface `java.io.DataInput`
  Throws:
    `SmbException`

### readLong

    public final long readLong()
                        throws SmbException

  Specified by:
    `readLong` in interface `java.io.DataInput`
  Throws:
    `SmbException`

### readFloat

    public final float readFloat()
                          throws SmbException

  Specified by:
    `readFloat` in interface `java.io.DataInput`
  Throws:
    `SmbException`

### readDouble

    public final double readDouble()
                            throws SmbException

  Specified by:
    `readDouble` in interface `java.io.DataInput`
  Throws:
    `SmbException`

### readLine

    public final java.lang.String readLine()
                                    throws SmbException

  Specified by:
    `readLine` in interface `java.io.DataInput`
  Throws:
    `SmbException`

### readUTF

    public final java.lang.String readUTF()
                                   throws SmbException

  Specified by:
    `readUTF` in interface `java.io.DataInput`
  Throws:
    `SmbException`

### writeBoolean

    public final void writeBoolean(boolean v)
                            throws SmbException

  Specified by:
    `writeBoolean` in interface `java.io.DataOutput`
  Throws:
    `SmbException`

### writeByte

    public final void writeByte(int v)
                         throws SmbException

  Specified by:
    `writeByte` in interface `java.io.DataOutput`
  Throws:
    `SmbException`

### writeShort

    public final void writeShort(int v)
                          throws SmbException

  Specified by:
    `writeShort` in interface `java.io.DataOutput`
  Throws:
    `SmbException`

### writeChar

    public final void writeChar(int v)
                         throws SmbException

  Specified by:
    `writeChar` in interface `java.io.DataOutput`
  Throws:
    `SmbException`

### writeInt

    public final void writeInt(int v)
                        throws SmbException

  Specified by:
    `writeInt` in interface `java.io.DataOutput`
  Throws:
    `SmbException`

### writeLong

    public final void writeLong(long v)
                         throws SmbException

  Specified by:
    `writeLong` in interface `java.io.DataOutput`
  Throws:
    `SmbException`

### writeFloat

    public final void writeFloat(float v)
                          throws SmbException

  Specified by:
    `writeFloat` in interface `java.io.DataOutput`
  Throws:
    `SmbException`

### writeDouble

    public final void writeDouble(double v)
                           throws SmbException

  Specified by:
    `writeDouble` in interface `java.io.DataOutput`
  Throws:
    `SmbException`

### writeBytes

    public final void writeBytes(java.lang.String s)
                          throws SmbException

  Specified by:
    `writeBytes` in interface `java.io.DataOutput`
  Throws:
    `SmbException`

### writeChars

    public final void writeChars(java.lang.String s)
                          throws SmbException

  Specified by:
    `writeChars` in interface `java.io.DataOutput`
  Throws:
    `SmbException`

### writeUTF

    public final void writeUTF(java.lang.String str)
                        throws SmbException

  Specified by:
    `writeUTF` in interface `java.io.DataOutput`
  Throws:
    `SmbException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD